Difference between revisions of "Draft Clone/fr"

From FreeCAD Documentation
Jump to: navigation, search
m
m
 
(2 intermediate revisions by the same user not shown)
Line 51: Line 51:
 
{{Emphasis|Voir aussi:}} [[Draft API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD Script de  Base]].
 
{{Emphasis|Voir aussi:}} [[Draft API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD Script de  Base]].
  
<div class="mw-translate-fuzzy">
 
 
L'outil Clone peut être utilisé dans une [[macros/fr|macro]] ainsi que dans la console [[Python/fr|Python]] en utilisant la commande :
 
L'outil Clone peut être utilisé dans une [[macros/fr|macro]] ainsi que dans la console [[Python/fr|Python]] en utilisant la commande :
</div>
 
 
{{Code|code=
 
{{Code|code=
 
cloned_object = clone(obj, delta=None, forcedraft=False)
 
cloned_object = clone(obj, delta=None, forcedraft=False)
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
 
 
* Crée un {{incode|cloned_object}} à partir de {{incode|obj}} qui peut être un objet unique ou une liste d'objets.
 
* Crée un {{incode|cloned_object}} à partir de {{incode|obj}} qui peut être un objet unique ou une liste d'objets.
 
* S'il est spécifié, {{incode|delta}} est un {{incode|FreeCAD.Vector}} qui déplace le nouveau clone de la position d'origine de l'objet de base.
 
* S'il est spécifié, {{incode|delta}} est un {{incode|FreeCAD.Vector}} qui déplace le nouveau clone de la position d'origine de l'objet de base.
 
* Si {{incode|forcraft}} est {{incode|True}}, l'objet résultant sera un clone Draft et non un clone Arch même si {{incode|obj}} est un [[Arch Workbench/fr|Atelier Arch]] objet.
 
* Si {{incode|forcraft}} est {{incode|True}}, l'objet résultant sera un clone Draft et non un clone Arch même si {{incode|obj}} est un [[Arch Workbench/fr|Atelier Arch]] objet.
</div>
 
  
 
La fusion des objets faisant partie du clone peut être réalisée en définissant son attribut {{incode|Fuse}} à {{incode|True}}.
 
La fusion des objets faisant partie du clone peut être réalisée en définissant son attribut {{incode|Fuse}} à {{incode|True}}.
Line 82: Line 78:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
 
 
{{Docnav/fr
 
{{Docnav/fr
 
|[[Draft_PointArray/fr|Matrice de points Draft]]
 
|[[Draft_PointArray/fr|Matrice de points Draft]]
Line 91: Line 86:
 
|IconR=Draft_Drawing.svg
 
|IconR=Draft_Drawing.svg
 
}}
 
}}
</div>
 
  
 
{{Draft Tools navi/fr}}
 
{{Draft Tools navi/fr}}

Latest revision as of 11:02, 28 October 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Page précédente: Draft PointArray.svg Matrice de points Draft
Page suivante: Dessin Draft Draft Drawing.svg Arrow-right.svg

Draft Clone.svg Clone Draft

Emplacement du menu
Draft → Clone
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Déplacer Draft, Echelle Draft


Description

L'outil Clone produit des copies liées d'une forme sélectionnée. Cela signifie que si l'objet d'origine change de forme et de propriétés, tous les clones changent également. Néanmoins, chaque clone conserve sa position, sa rotation et son échelle uniques, ainsi que ses propriétés d'affichage telles que la couleur de la forme, la largeur de trait et la transparence.

L'outil Clone peut être utilisé sur des formes 2D créées avec Atelier Draft mais également sur de nombreux types d'objets 3D, tels que ceux créés avec Atelier Part, Atelier PartDesign ou [[[Arch Workbench/fr|Atelier Arch]]].

Pour créer des copies simples, totalement indépendantes d'un objet d'origine, utilisez Déplacer Draft, Rotation Draft et Echelle Draft. Pour positionner les copies dans un tableau orthogonal, utilisez Matrice Draft. Pour positionner les copies le long d’un chemin, utilisez Série de copies Draft. Pour positionner les copies à des points spécifiés, utilisez Série de copies Draft.

Draft Clone example.jpg

Clone à côté de son objet d'origine


Utilisation

  1. Sélectionnez l'objet (les objets) à cloner.
  2. Pressez le bouton Draft Clone.svg Clone Draft.

Selon ses options, l'outil Draft Scale.svg Echelle Draft crée également un clone à une échelle spécifiée.

Les clones d'objets 2D créés avec Atelier Draft ou Atelier Sketcher sont également des objets 2D et peuvent donc être utilisés tels quels pour Atelier PartDesign.

Tous les objets Atelier Arch ont la possibilité de se comporter comme des clones en utilisant la propriété DONNÉESCloneOf. Si vous utilisez l'outil Draft Clone sur un objet Arch sélectionné, vous produirez un tel clone Arch au lieu d'un clone Draft normal.

Limitations

Actuellement, l'Atelier Sketcher ne peut pas être mappé sur les faces d'un clone.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec les objets sélectionnés ou non.

Propriétés

  • DONNÉESObjects: spécifie une liste d'objets de base en cours de clonage.
  • DONNÉESScale: spécifie le facteur de mise à l'échelle du clone, dans chaque direction X, Y et Z.
  • DONNÉESFuse: si elle est True et que DONNÉESObjects inclut de nombreuses formes qui s'entrecroisent, le clone résultant sera fusionné en une seule forme ou créera un composé d'eux. Disponible dans la version 0.17

Script

Voir aussi: Draft API et FreeCAD Script de Base.

L'outil Clone peut être utilisé dans une macro ainsi que dans la console Python en utilisant la commande :

cloned_object = clone(obj, delta=None, forcedraft=False)
  • Crée un cloned_object à partir de obj qui peut être un objet unique ou une liste d'objets.
  • S'il est spécifié, delta est un FreeCAD.Vector qui déplace le nouveau clone de la position d'origine de l'objet de base.
  • Si forcraft est True, l'objet résultant sera un clone Draft et non un clone Arch même si obj est un Atelier Arch objet.

La fusion des objets faisant partie du clone peut être réalisée en définissant son attribut Fuse à True.

Exemple:

import FreeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

obj = [Polygon1, Polygon2]
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)

cloned_object.Fuse = True
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Draft PointArray.svg Matrice de points Draft
Page suivante: Dessin Draft Draft Drawing.svg Arrow-right.svg